[SERVICE]
    Flush         5
    Log_Level     info
    Daemon        off
    Parsers_File  parsers.conf
    HTTP_Server   On
    HTTP_Listen   0.0.0.0
    HTTP_Port     2020
{{ range $file, $_ := .Files.Glob "conf/input.d/*.conf" }}
@INCLUDE input-{{ base $file }}
{{- end }}
{{ range $file, $_ := .Files.Glob "conf/output.d/*.conf" }}
@INCLUDE output-{{ base $file }}
{{- end }}
{{- if .Values.customConfig }}
{{ range $file, $_ :=  .Values.customConfig }}
@INCLUDE custom-{{ $file }}
{{- end }}
{{- end }}